nandps: XNandPs_Geometry Struct Reference

| nandps Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XNandPs_Geometry Struct Reference
Nandps_v2_4

Flash geometry. More...

## Data Fields
u32 | BytesPerPage
| Bytes per page. More...
u16 | SpareBytesPerPage
| Size of spare area in bytes. More...
u32 | PagesPerBlock
| Pages per block. More...
u32 | BlocksPerLun
| Bocks per LUN. More...
u8 | NumLun
| Total number of LUN. More...
u8 | FlashWidth
| Data width of flash device. More...
u64 | NumPages
| Total number of pages in device. More...
u64 | NumBlocks
| Total number of blocks in device. More...
u64 | BlockSize
| Size of a block in bytes. More...
u64 | DeviceSize
| Total device size in bytes. More...
u8 | RowAddrCycles
| Row address cycles. More...
u8 | ColAddrCycles
| Column address cycles. More...

## Detailed Description

Flash geometry.

## Field Documentation

u64 XNandPs_Geometry::BlockSize

Size of a block in bytes.

Referenced by NandReadWriteCacheExample(), NandReadWriteExample(), Onfi_NandInit(), XNandPs_CalculateLength(), XNandPs_SkipErase(), XNandPs_SkipRead(), and XNandPs_SkipWrite().

u32 XNandPs_Geometry::BlocksPerLun

Bocks per LUN.

Referenced by Onfi_NandInit().

u32 XNandPs_Geometry::BytesPerPage

Bytes per page.

Referenced by Onfi_NandInit(), XNandPs_CfgInitialize(), XNandPs_InitBbtDesc(), XNandPs_Read(), XNandPs_ReadCache(), XNandPs_ReadSpareBytes(), XNandPs_Write(), XNandPs_WriteCache(), and XNandPs_WriteSpareBytes().

u8 XNandPs_Geometry::ColAddrCycles

Column address cycles.

Referenced by Onfi_NandInit(), and XNandPs_SendCommand().

u64 XNandPs_Geometry::DeviceSize

Total device size in bytes.

Referenced by Onfi_NandInit(), XNandPs_CalculateLength(), XNandPs_Read(), XNandPs_ReadCache(), XNandPs_SkipRead(), XNandPs_SkipWrite(), XNandPs_Write(), and XNandPs_WriteCache().

u8 XNandPs_Geometry::FlashWidth

Data width of flash device.

Referenced by Onfi_NandInit(), XNandPs_CfgInitialize(), and XNandPs_SendCommand().

u64 XNandPs_Geometry::NumBlocks

Total number of blocks in device.

Referenced by Onfi_NandInit(), and XNandPs_SkipErase().

u8 XNandPs_Geometry::NumLun

Total number of LUN.

Referenced by Onfi_NandInit().

u64 XNandPs_Geometry::NumPages

Total number of pages in device.

Referenced by Onfi_NandInit().

u32 XNandPs_Geometry::PagesPerBlock

Pages per block.

Referenced by Onfi_NandInit(), and XNandPs_EraseBlock().

u8 XNandPs_Geometry::RowAddrCycles

Row address cycles.

Referenced by Onfi_NandInit(), and XNandPs_SendCommand().

u16 XNandPs_Geometry::SpareBytesPerPage

Size of spare area in bytes.

Referenced by Onfi_NandInit(), XNandPs_Read(), XNandPs_ReadCache(), XNandPs_ReadSpareBytes(), XNandPs_Write(), XNandPs_WriteCache(), and XNandPs_WriteSpareBytes().